Package com.ocient.jdbc

# Interface XGConnection.ResponseHandler<Response>

Type Parameters:
  `Response` - the type of response returned by the handler

Enclosing class:
  `XGConnection`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface XGConnection.ResponseHandler<Response>
A response handler for wire messages.

TODO this interface should include a handler for SQL warnings

## Method Summary

Modifier and Type
Method
Description
`Response`
`handleResponse(io.netty.buffer.ByteBuf response)`
Handles a response message received from the remote server and returns a parsed response object.

## Method Details

### handleResponse

Response handleResponse(io.netty.buffer.ByteBuf response) throws IOException, SQLException
Handles a response message received from the remote server and returns a parsed response object.

Parameters:
  `response` - the response message received from the server, serialized in a Netty `ByteBuf`
Returns:
  the parsed response object
Throws:
  `SQLException` - if an error occurs during the response handling process
  `IOException`